
	// Funktionsdeklarationen
void lcd_DOG_3x16_startphase (void);
void init_lcd_DOG_3x16 (void);
//void status_aendern_lcd_DOG_3x16 (unsigned char, unsigned char);
void clear_display_DOG_3x16 (void);
//void wait_busy_display_DOG_3x16 (void);
//void write_lcd_data_display_DOG_3x16 (unsigned char);
//void write_lcd_string_display_DOG_3x16 (char*);
//void position_lcd_cursor_display_DOG_3x16 (unsigned char);
//void position_lcd_cursorxy_display_DOG_3x16 (unsigned char, unsigned char);
//void write_lcd_string_x_y_display_DOG_3x16 (unsigned char, unsigned char, char*);
void delay_display_DOG_3x16 (void);
void write_display_DOG_3x16_complete (void);
//void displaylight (unsigned char);
//unsigned char check_displayaenderung (void);
void sonderzeichen_tauschen_display_DOG_3x16 (char*);
void pixeltest_display_DOG_3x16 (void);
//void alle_eigenen_zeichen_definieren_display_DOG_3x16 (void);
//void ein_eigenes_zeichen_definieren_display_DOG_3x16(char* lcdCustomCharArray, unsigned char romCharNum, unsigned char lcdCharNum);



// Info, ob Steuerzeichen oder Datenbyte
//#define DATENBYTE		0
//#define STEUERZEICHEN	1


#define DISPLAY_AUS		0
#define DISPLAY_EIN		1

#define CURSOR_AUS		0
#define CURSOR_EIN		1

#define	DISPLAY_ANZAHL_ZEILEN	4
#define	DISPLAY_ANZAHL_ZEICHEN	20

#define ADRESS_FIRST					0x00	// erste Adresse der erstern zeile
#define ADRESS_OFFSET_ZWISCHEN_ZEILEN	0x40	// Adre-Abstand zur nchsten Zeile





// Display-Kommandos
#define COMMAND 		0b00011111	// Command start byte
#define WRITE_DATA		0b01011111	// Write Data start byte
#define READ 			0b00111111	// Read Command start byte, for Busy-flag checking


// Symbole, die nicht im Tastatur-Zeichensatz enthalten sind
#define SYMBOL_PFEIL_AUF		0xDE
#define SYMBOL_PFEIL_AB			0xE0
#define SYMBOL_PFEIL_RECHTS		0xDF
#define SYMBOL_PFEIL_LINKS		0xE1

#define SYMBOL_RETURN			0x1C
#define SYMBOL_1_HALB			0x8A
#define SYMBOL_1_VIERTEL		0x8B
#define SYMBOL_PLUSMINUS		0x8C

#define SYMBOL_MUSIK_1			0x90
#define SYMBOL_MUSIK_2			0x91
#define SYMBOL_ALARM			0x92
#define SYMBOL_HERZ				0x93
#define SYMBOL_ANTENNE			0x95

#define SYMBOL_OHM				0xB5
#define SYMBOL_PI				0xB6
#define SYMBOL_SUMME			0xB8

#define SYMBOL_BALKEN_1			0xD4
#define SYMBOL_BALKEN_2			0xD3
#define SYMBOL_BALKEN_3			0xD2
#define SYMBOL_BALKEN_4			0xD1
#define SYMBOL_BALKEN_5			0xD0

#define SYMBOL_SLASH			0xFB

#define SYMBOL_ALLE_PIXEL_EIN	0x1F


// eigen definierte Zeichen fr Aufruf
// ACHTUNG: Fehler im Datenblatt! der Aufruf mit 0x00...0x07 geht nicht! 0x09...0x0F verwenden!!!
#define SYMBOL_OWN_SCHACHMUSTER_NORMAL		0x08
#define SYMBOL_OWN_SCHACHMUSTER_INVERTIERT	0x09
#define SYMBOL_OWN_2						0x0A
#define SYMBOL_OWN_3						0x0B
#define SYMBOL_OWN_4						0x0C
#define SYMBOL_OWN_5						0x0D
#define SYMBOL_OWN_6						0x0E
#define SYMBOL_OWN_7						0x0F


// eigen definierte Zeichen fr das Speichern
#define CG_RAM_0_SAFE		0x00
#define CG_RAM_1_SAFE		0x01
#define CG_RAM_2_SAFE		0x02
#define CG_RAM_3_SAFE		0x03
#define CG_RAM_4_SAFE		0x04
#define CG_RAM_5_SAFE		0x05
#define CG_RAM_6_SAFE		0x06
#define CG_RAM_7_SAFE		0x07






// sonstige Konstanten fr Funktionsaufrufe
#define DISPLAY_AUS			0
#define DISPLAY_EIN			1

#define DISPLAYLICHT_AUS	0
#define DISPLAYLICHT_EIN	1

#define CURSER_AUS			0
#define CURSER_EIN			1




struct
	{
	char caInhalt[3][17];					// Inhalt des kompletten Displays
	char caInhalt_ausgegeben[3][17];		// bereits ausgegebener Inhalt des kompletten Displays
	unsigned int uiAusschaltzeit_counter;	// Zhler fr Ausschalten der Displaybeleuchtung nach einer gewissen Zeit
	unsigned int uiAusschaltzeit;			// Ausschaltzeit des Displays in ms
	unsigned int ui_Wartezaehler;
	unsigned char ucStatus;					// Status (aus, ein, nur bei Befehl ein)
	unsigned char ucsAntwortstatus[4];		// Antwortstatus fr Displayausgabe (TO, OK, ...) !!! MAX 3 ZEICHEN + NUL !!!
	unsigned char ucTestcounter;
	unsigned int ui_Lightcounter;			// Zhler fr Ausschaltzeit des Displays
	} display_DOG_3x16;


