
/************************************************************************
* Hinweise zu Include-Angaben:											*
*																		*
* Dateiname in eckigen Klammern:	Pfad ist im Compiler eingestellt	*
* Dateiname in Anfhrungszeichen:	Datei im selben Pfad vom Projekt	*
************************************************************************/


#include <stdlib.h>				// wegen itoa
#include <stdio.h>				// wegen sprintf
#include <string.h>				// fr Stringfunktionen
#include <avr/io.h>
#include <avr/wdt.h>			// fr Watchdog
#include <avr/interrupt.h>		// fr Interrupts (wird fr "sei()" bentigt)
#include <avr/pgmspace.h>		// wegen Texte im Flash
//#include <avr/eeprom.h>		// fr EEPROM => geht nicht bei AtMega88!!!
//#include <inttypes.h>


#include "ports.h"
#include "SPI.h"
#include "display_DOG_3x16_SPI.h"

	// zum File gehrende Header-Datei
#include "main.h"


	// allgemeine Dateien
//#include "../../common_SW/display_DOG_3x16_SPI/display_DOG_3x16_SPI/display_DOG_3x16_SPI.h"




int main (void)
	{
	
	init_ports ();
	init_SPI_mastermode_display_DOG_3x16();


	display_DOG_3x16.caInhalt[0][0] = '\0';	// alle Zeilen im Array lschen (Nullstring am Beginn)
	display_DOG_3x16.caInhalt[1][0] = '\0';
	display_DOG_3x16.caInhalt[2][0] = '\0';

//	clear_display_DOG_3x16(void);

//	write_display_DOG_3x16_complete();


	
	// ############  Endlosschleife  #####################
    for (;;)
		{

		}

    return (0);
	}
	
	

