	// Funktionsdeklarationen
void init_ports (void);
	// Konstanten


// HINWEIS:
// Pull-Ups knnen mit Bit PUD im Register "SFIOR" ausgeschaltet werden


/*
#define xx					0		// Bit-Nr. des Ports
#define DDR_xx				DDRD	// Data-Direction-Register
#define PORT_xx				PORTD	// Port
#define	PIN_xx				PIND	// Portpin
*/


// **********************************************************************
// *************************  Port A (AD-Bus)  **************************
// **********************************************************************

// Hinweis: einzeln konfigurierbare I/O (mit internem Pull-Up)




// **********************************************************************
// *************  Port B (Display)  *************************************
// **********************************************************************

// Hinweis: einzeln konfigurierbare I/O (mit internem Pull-Up)

	// A16 (Adrebit vom externen RAM)
#define A16						0
#define DDR_A16					DDRB
#define PORT_A16				PORTB
#define PIN_A16					PINB

	// SPI-SCK
#define	SPI_SCK					1
#define	DDR_SPI_SCK				DDRB
#define	PORT_SPI_SCK			PORTB

	// MOSI
#define	SPI_MOSI				2
#define	DDR_SPI_MOSI			DDRB
#define	PORT_SPI_MOSI			PORTB

	// MOSO
#define	SPI_MISO				3
#define	DDR_SPI_MISO			DDRB
#define	PORT_SPI_MISO			PORTB








// **********************************************************************
// ************  (Port C) Adreleitungen RAM  ***************************
// **********************************************************************

// Hinweis: einzeln konfigurierbare I/O (mit internem Pull-Up)
//          !!!!!  bei Atmega108-Mode nur als Eingang mglich !!!!!







// **********************************************************************
// ************  Pins am Port D (RTC und zweite Schnittstelle)  *********
// **********************************************************************

// Hinweis: einzeln konfigurierbare I/O (mit internem Pull-Up)

	// Optionsplatine Power
/*#define OPT_POWER				0
#define DDR_OPT_POWER			DDRD
#define PORT_OPT_POWER			PORTD
#define PIN_OPT_POWER			PIND
*/

	// Optionsplatine Power
#define RS_DISPLAY_DOG_3x16			0
#define DDR_RS_DISPLAY_DOG_3x16		DDRD
#define PORT_RS_DISPLAY_DOG_3x16	PORTD
#define PIN_RS_DISPLAY_DOG_3x16		PIND





// **********************************************************************
// ************  Pins am Port E (RS485) und DCF77  **********************
// **********************************************************************

// Hinweis: einzeln konfigurierbare I/O (mit internem Pull-Up)


// **********************************************************************
// ************  Pins am Port F (Analogeingnge)  ***********************
// **********************************************************************

// Hinweis: einzeln konfigurierbare I/O (mit internem Pull-Up), falls Port nicht als AD-Wandler bentigt wird


	// SS Display eDIPTFT43-A
#define	CS_DISPLAY_DOG_3x16			1
#define DDR_CS_DISPLAY_DOG_3x16		DDRF
#define PORT_CS_DISPLAY_DOG_3x16	PORTF





// **********************************************************************
// ******************  Pins am Port G (Eingnge)  ***********************
// **********************************************************************

// ACHTUNG: Port hat im ATmega103-Mode andere Funktion. Port sollte daher nicht benutzt werden!!!



