	// Funktionsdeklarationen
void init_SPI_mastermode_display_DOG_3x16(void);
void setze_SPI_Teilfaktor(unsigned char);


void SPI_master_transmit (unsigned char, unsigned char);
unsigned char spi_fuer_display_DOG_3x16 (unsigned char);





//#define SPI_MAX_RX_BUFFER	76
#define SPI_MAX_RX_BUFFER	150
	// SPI-Schnittstelle
struct
	{
	unsigned char ucDisplay4x20_letzter_befehl;
	unsigned char ucTx_zaehler;		// Zhler fr Sendebuffer
	unsigned char ucRx_zaehler;		// Zhler fr Empfangsbuffer
	unsigned char ucRx_LEN;			// Lnge des Empfangsstrings
	unsigned char ucACK_NAK;			// Info, ob nach dem Senden ACK oder NAK kam
	unsigned char ucStatus;			// Status der SPI-Schnittstelle
	unsigned char ucData_rx[SPI_MAX_RX_BUFFER];	// SPI-Empfangsdaten (DCx + LEN + 64 Daten +bcc)
	unsigned char ucData_rx_shifted[SPI_MAX_RX_BUFFER];	// SPI-Empfangsdaten (DCx + LEN + 64 Daten +bcc)
	volatile unsigned char ucNAK_wartezaehler;	// Zhler fr Warteschleife, wenn nicht ACK als Antwort gekommen ist
													// mu auf alle Flle volatile sein, sonst Probleme mit der
													// warteschelief (While-Abfrage)
	unsigned char ucACK_nicht_gekommen_zaehler;	// bisher nur fr TFT
	} SPI;






	// Wartezeit in [ms] bei empfangenem NAK
#define NAK_WARTEZEIT	5



// Konstanten fr SPI-Komponenten
#define DISPLAY_GRAFIK		0
#define SD_CARD				1
#define SCHIEBEREGISTER		2
#define DISPLAY_4X20		3
#define DISPLAY_TFT			4
#define DISPLAY_DOG_3X16	5
