#include "ports.h"
#include <avr/io.h>

void init_ports (void)
	{

	// Eingnge	
	DDR_SPI_MISO			&= ~(1<<SPI_MISO);					// MISO
	
	// Ausgnge
	DDR_SPI_SCK					|= (1<<SPI_SCK);				// SCK
	DDR_SPI_MOSI				|= (1<<SPI_MOSI);				// MOSI
	DDR_CS_DISPLAY_DOG_3x16		|= (1<<CS_DISPLAY_DOG_3x16);	// CS fr Display
	DDR_RS_DISPLAY_DOG_3x16		|= (1<<RS_DISPLAY_DOG_3x16);	// RS fr Display


	// auf High schalten
	PORT_CS_DISPLAY_DOG_3x16 |= (1<<CS_DISPLAY_DOG_3x16);

	// auf Low setzen
	PORT_RS_DISPLAY_DOG_3x16 &= ~(1<<RS_DISPLAY_DOG_3x16);

	
	return;
	}
